package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.MotorDirections;
import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;

public class SlowCooking extends BaseDevMode{

    public SlowCooking(){

        this.setMode(WorkModes.SLOW_COOKING);


        //时间
        this.setMinTime(0);
        this.setMaxTime(8 * 60 * 60);
        this.setDefaultTime(4  * 60 * 60);
        this.setTimeChange(true);

        //电机
        this.setDefaultMotorGear(1);
        this.setMaxMotorGear(1);
        this.setMaxMotorGear(1);
        this.setMotorGearChange(false);
        this.setMotorDirectionChange(true);
        this.setMotorDirection(MotorDirections.REVERSE);

        //温度
        this.setDefaultTemp(90);
        this.setMinTemp(37);
        this.setMaxTemp(100);

    }


}
